# WOK
TKWOK
MS

# MS_ParamWithValue Class Reference

`#include <MS_ParamWithValue.hxx>`

Inheritance diagram for MS_ParamWithValue:

[legend]

## Public Member Functions

Standard_EXPORT | MS_ParamWithValue (const Handle(MS_Method)&aMethod, const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT void | IntegerValue (const Handle(TCollection_HAsciiString)&aInteger)
Standard_EXPORT void | RealValue (const Handle(TCollection_HAsciiString)&aReal)
Standard_EXPORT void | StringValue (const Handle(TCollection_HAsciiString)&aString)
Standard_EXPORT void | EnumValue (const Handle(TCollection_HAsciiString)&aEnum)
Standard_EXPORT void | Value (const Handle(TCollection_HAsciiString)&aValue, const MS_TypeOfValue TypeVal)
Standard_EXPORT Handle_TCollection_HAsciiString | GetValue () const
virtual Standard_EXPORT MS_TypeOfValue | GetValueType () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myValue
MS_TypeOfValue | myTypeVal

## Constructor & Destructor Documentation

Standard_EXPORT MS_ParamWithValue::MS_ParamWithValue | ( | const Handle(MS_Method)& | aMethod,
|  | const Handle(TCollection_HAsciiString)& | aName
| ) |

## Member Function Documentation

Standard_EXPORT void MS_ParamWithValue::EnumValue | ( | const Handle(TCollection_HAsciiString)& | aEnum | ) |

Standard_EXPORT Handle_TCollection_HAsciiString MS_ParamWithValue::GetValue | ( |  | ) | const

virtual Standard_EXPORT MS_TypeOfValue MS_ParamWithValue::GetValueType | ( |  | ) | const`[virtual]`

| Reimplemented from MS_Param.

Standard_EXPORT const MS_ParamWithValue::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Param.

Standard_EXPORT void MS_ParamWithValue::IntegerValue | ( | const Handle(TCollection_HAsciiString)& | aInteger | ) |

Standard_EXPORT void MS_ParamWithValue::RealValue | ( | const Handle(TCollection_HAsciiString)& | aReal | ) |

Standard_EXPORT void MS_ParamWithValue::StringValue | ( | const Handle(TCollection_HAsciiString)& | aString | ) |

Standard_EXPORT void MS_ParamWithValue::Value | ( | const Handle(TCollection_HAsciiString)& | aValue,
|  | const MS_TypeOfValue | TypeVal
| ) |

## Field Documentation

MS_TypeOfValue MS_ParamWithValue::myTypeVal `[private]`

Handle_TCollection_HAsciiString MS_ParamWithValue::myValue `[private]`

The documentation for this class was generated from the following file:

- MS_ParamWithValue.hxx